<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.attence.ruleperson.mapper.RulePersonMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="rulePersonResultMap" type="org.springblade.attence.ruleperson.entity.RulePerson">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="person_id" property="personId"/>
        <result column="person_name" property="personName"/>
        <result column="person_type" property="personType"/>
        <result column="is_white" property="isWhite"/>
        <result column="rule_id" property="ruleId"/>
    </resultMap>


    <select id="selectRulePersonPage" resultMap="rulePersonResultMap">
        select * from attence_rule_person where is_deleted = 0
    </select>

</mapper>
